Introduzione al software CLM di gestione delle licenze

Home > Software Client License Manager

Software Client License Manager (CLM)

Il software Client License Manager (CLM) della Hexagon Metrology è basato su una tecnologia sicura e affidabile che non richiede una chiave di protezione (chiave hardware HASP). Un collegamento via Internet all'Hexagon Metrology Network License Server è tutto quello che serve per installare PC-DMIS e attivare la licenza.

Passaggio automatico da una licenza HASP a una licenza LMS

Se si desidera mantenere la versione di PC-DMIS installata e cambiare la licenza da HASP a LMS, procedere come segue.

  1. Rivolgersi a un addetto all'assistenza della Hexagon Metrology per ottenere un ID di diritto d'uso (EID) della licenza LMS. L'addetto invierà anche l'ultima versione degli strumenti del software del CLM. Usare questi strumenti per eseguire le varie funzioni descritte in questo documento.

  2. Dopo aver installato la chiave EID e gli strumenti del software CLM, localizzare il file dell'amministratore delle licenze client del CLM (clmadmin.exe). Fare doppio clic su di esso per eseguirlo. Per i dettagli su come usare l'EID per installare la licenza LMS, vedere la relativa sezione della guida del CLM:

    • Installazione e attivazione delle licenze node-locked

    • Licenze floating

    • Elaborazione delle licenze off-line

  3. Rimuovere la chiave HASP dal PC e restituirla.

  4. Avviare la stessa versione di PC-DMIS usata con la chiave HASP. PC-DMIS rileva che manca la chiave HASP.

Quindi PC-DMIS controlla se esiste una licenza LMS valida. Se ne trova una, passa automaticamente a usare la nuova licenza LMS. La chiave del registro delle licenze usa la licenza LMS senza nessun intervento da parte dell'utente. La licenza LMS diventa la licenza predefinita. Per passare da una licenza HASP a una LMS, vedere la voce "UseLMSLicensing" nella documentazione dell'Editor delle impostazioni.

Se non trova una licenza LMS, PC-DMIS visualizza un messaggio di errore che avvisa che manca la licenza. PC-DMIS si arresta. La chiave del registro delle licenze rimane impostata su HASP. È come se si estraesse temporaneamente dal PC la chiave hardware HASP e la si reinserisse successivamente.

Se all'avvio vengono rilevate sia una licenza valida HASP sia una licenza valida LMS, PC-DMIS usa la licenza HASP. Se si rimuove la chiave hardware HASP, all'avvio successivo PC-DMIS usa la licenza LMS valida.

Nota: quanto sopra non vale qualora la licenza LMS è la licenza di sistema, e nel PC è inserita una chiave hardware HASP valida. In questo caso, la licenza LMS rimane come licenza del sistema in uso. PC-DMIS ignora la chiave hardware.

Vedere anche

Tipi di licenza

ID di diritto all'uso

Introduzione ai tipi di licenza

Soluzione di un errore di Trusted Storage (TS)

Domande frequenti

Glossario

Guida rapida alle licenze node-locked

Guida rapida all'attivazione delle licenze off-line


Tipi di licenza

Il modello di licenza si basa su due concetti che danno luogo a quattro tipi di licenza. I due concetti sono:

  • Localizzazione

  • Durata della licenza

Localizzazione - Riguarda i computer su una rete. Sono disponibili due opzioni:

  • Node-locked - Una licenza di questo tipo è installata e vincolata su un singolo PC. La licenza non può essere condivisa tra più utenti che lavorano su PC diversi.

  • Floating - Una licenza di questo tipo può essere condivisa tra più utenti che lavorano su PC diversi all'interno di una stessa rete. Richiede l'installazione e la configurazione del server delle licenze. Per accedre al server delle licenze occorre configurare il sistema client.

Durata della licenza - Riguarda la validità della licenza.

  • Permanente - Questo tipo di licenza vale in permanenza sul PC.

  • Valutazione - Questo tipo di licenza ha una data di scadenza.

Si può scegliere tra quattro tipi di licenze:

  • Node-Locked permanente

  • Node-Locked di valutazione

  • Floating permanente

  • Floating di valutazione


ID di diritto all'uso

L'ID di diritto all'uso è la chiave per l'attivazione iniziale della licenza e per ordinare altre opzioni software.

L'ID di diritto all'uso si compone di 25 caratteri alfanumerici separati da trattini, per esempio:

ID di diritto all'uso: 00101-64466-00014-03624-4C34F

L'ID di diritto all'uso è reperibile sulla fattura e sulla ricevuta di consegna del prodotto software acquistato. Inoltre, si trova anche su un certificato separato di diritto all'uso, che può essere in forma cartacea o digitale (cioè un documento HTML).

L'ID di diritto all'uso di un prodotto software non cambia mai; pertanto questi documenti devono essere conservati in un luogo sicuro.


Introduzione ai tipi di licenza

A seconda del prodotto software installato, si può scegliere tra due diversi tipi di licenza in base ai requisiti dell'utente:

  • Node-locked

  • Floating

I tipi di licenza disponibili e le relative funzionalità dipendono dal prodotto software della Hexagon Metrology.

Vedere anche

Descrizione generale delle licenze node-locked

Descrizione generale delle licenze floating


Descrizione generale delle licenze node-locked

Una licenza node-locked è legata a un singolo PC e pertanto è la scelta ideale per lavorare in remoto o per singoli utenti dedicati all'interno della rete.

Una licenza node-locked non può essere condivisa da diversi utenti sulla stessa rete e normalmente non viene trasferita da un PC a un altro.

Per l'installazione e l'attivazione iniziale delle licenze node-locked occorre un collegamento su Internet con l'Hexagon Metrology Network License Server. Una volta installata e attivata la licenza, questo collegamento a Internet non è più necessario. Tuttavia, per attivare altre opzioni o contratti di manutenzione del software successivamente acquistati, occorrerà di nuovo un collegamento a Internet.

Le licenze node-locked sul PC sono gestite da un altro strumento di gestione delle licenze chiamato CLM Administrator.

Vedere anche

Trasferimento delle licenze node-locked


Trasferimento delle licenze node-locked

Il trasferimento di una licenza node-locked da un PC a un altro è chiamato "Rehosting". Il trasferimento delle licenze è destinato solo al caso di un cambiamento permanente dell'utente o del PC. Il trasferimento può essere necessario anche quando si ripristina un sistema operativo o se ne installa uno nuovo sullo stesso PC.

Il trasferimento è possibile solo per un numero limitato di volte all'anno. Il numero di trasferimenti permessi dipende dal prodotto software installato.


Descrizione generale delle licenze floating

Le licenze floating possono essere condivise tra più worksation client nella stessa rete locale. Le licenze floating sono la scelta ideale se occorre trasferire il software su una rete locale da una worksation a un'altra a seconda delle necessità.

Le licenze floating sono gestite da un server locale delle licenze in esecuzione sulla rete locale. Questo server locale delle licenze gestisce il pool delle licenze e assicura che il numero delle licenze usate contemporaneamente non superi quello delle licenze complessivamente acquistate. Se non ci sono licenze disponibili, l'utente ne viene informato e deve attendere finché un altro utente non termina di usare una licenza.

Il server locale delle licenze può essere installato su un normale PC o su un server dedicato, ma non può essere installato su un computer o un server virtuale. Il server locale delle licenze può gestire le licenze di uno o più prodotti software.

Normalmente, la licenza non viene trasferita da un server locale a un altro ("Rehosting").

Per l'installazione e l'attivazione iniziale del server locale delle licenze occorre un collegamento su Internet con l'Hexagon Metrology Network License Server. Una volta installato e attivato il server locale, questo collegamento a Internet non è più necessario. Per attivare altre opzioni o contratti di manutenzione del software successivamente acquistati, occorre un collegamento a Internet.

Se è necessario usare il software in remoto su un PC o un notebook senza collegamento alla rete e al server locale delle licenze, è possibile "prenderle in prestito" dal server locale e "restituirle" dopo l'uso.

Le licenze floating sul server locale delle licenze sono gestite da un altro strumento di gestione delle licenze chiamato CLM Administrator Server.

Vedere anche

Trasferimento (Rehosting) delle licenze floating

Presa in prestito (Borrowing) delle licenze floating


Trasferimento (Rehosting) delle licenze floating

Il trasferimento di una licenza da un server locale a un altro sulla rete locale è chiamato "Rehosting". Il trasferimento della licenza è destinato solo al caso di un cambiamento permanente del server locale delle licenze. Il trasferimento della licenza può essere necessario anche quando si ripristina un sistema operativo o se ne installa uno nuovo sullo stesso server o PC.

Il trasferimento della licenza è permesso solo per un numero limitato di volte all'anno. Il numero di trasferimenti permessi dipende dal prodotto software installato.


Presa in prestito (Borrowing) delle licenze floating

Se è necessario usare il software in remoto su un PC o un notebook senza collegamento alla rete e al server locale delle licenze, è possibile "prenderle in prestito" dal server locale e "restituirle" dopo l'uso. Questo processo è chiamato "borrowing". La disponibilità del borrowing dipende dal prodotto software installato.

Se si prova a "prendere in prestito" una licenza oltre la data di scadenza, viene visualizzato questo messaggio di errore:

"Nessun adempimento corrispondente, clmBorrow non riuscito (9000040B, 1035)".

Per risolvere il problema, modificare il numero di giorni di "prestito" in modo che coincidano con quelli mancanti alla scadenza.


Installazione e attivazione delle licenze node-locked

Per installare il pacchetto software acquistato su un PC e per attivare le licenze acquistate, occorre quanto segue.

  • PC con collegamento a Internet.

  • Fattura, ricevuta di consegna o certificato di diritto all'uso con l'ID di diritto all'uso del pacchetto software.

  • CD-ROM, DVD di installazione o programma di installazione del pacchetto software scaricato.

Vedere anche:

Installazione delle licenze node-locked

Gestione delle licenze


Installazione delle licenze node-locked

Gli strumenti di gestione delle licenze del CLM della Hexagon Metrology sono installati con i prodotti software della Hexagon Metrology (PC-DMIS, DataPage+, etc.). Il processo crea sul desktop collegamenti ai necessari strumenti del CLM.

L'installazione e l'attivazione del pacchetto software avviene con una procedura guidata che guida automaticamente l'utente attraverso il processo completo di installazione e attivazione. Nel seguito sono spiegati in dettaglio questi passi di installazione.

Si noti che i passi dell'installazione e le schermate di questo documento sono prese dal pacchetto software della Hexagon Metrology. Le finestre di dialogo per altri pacchetti software possono essere leggermente diverse.

  1. Avviare lo strumento di gestione delle licenze CLM usando il collegamento “CLM Admin” creato sul desktop durante l'installazione del prodotto software della Hexagon Metrology. Verrà visualizzata la finestra di dialogo Amministratore client delle licenze.

Finestra di dialogo Amministratore client delle licenze.

  2. Fare clic su Attiva le nuove licenze e immettere o copiare nel campo il proprio ID di diritto all'uso.

Finestra di dialogo Amministratore client delle licenze - Attiva le nuove licenze

  3. Fare clic su Controlla le licenze attivabili per visualizzare un riepilogo delle licenze.

  4. Fare clic su Attiva le nuove licenze.

  5. Fare clic su Visualizza le licenze installate per visualizzare le licenze attivate.

Tutte le nuove licenze sono ora attivate, ed è possibile usare i relativi prodotti.


Gestione delle licenze

La gestione delle licenze su un PC avviene tramite la finestra di dialogo “Visualizza le licenze” del pacchetto software o con l'apposito strumento CLM Administrator.

Si noti che le schermate di questo documento sono prese dal pacchetto software fornito dalla Hexagon Metrology. Le finestre di dialogo per altri pacchetti software possono essere leggermente diverse.

Vedere anche

Avvio della visualizzazione delle licenze

Avvio del CLM Administrator

Visualizzazione delle licenze node-locked

Aggiornamento delle licenze node-locked

Verifica disponibilità aggiornamenti per le licenze node-locked

Trasferimento delle licenze node-locked


Avvio della visualizzazione delle licenze

Per accedere alla finestra di dialogo “Visualizza le licenze” che visualizza le licenze attive al momento, procedere come segue.

  • Fare doppio clic su clmadmin.exe per avviare il pacchetto software di gestione delle licenze.

  • Selezionare “Visualizza le licenze installate”.

  • Per continuare, vedere Visualizzazione delle licenze node-locked.


Avvio del CLM Administrator

Per avviare il CLM Administrator per le licenze node-locked:

  • Fare doppio clic su clmadmin.exe per avviare il pacchetto software di gestione delle licenze.


Visualizzazione delle licenze node-locked

La visualizzazione delle licenze attualmente attivate su PC avviene tramite la finestra di dialogo “Visualizza le licenze” all'interno del pacchetto software (vedere il capitolo Gestione delle licenze).

Per visualizzare le licenze attivate non è necessario alcun collegaento a Internet.

Per visualizzare le licenze per un pacchetto software:

  • Fare clic sul collegamento “Visualizza le licenze installate” per visualizzare un elenco delle licenze attualmente installate e attivate sul sistema (per ulteriori dettagli della gestione delle licenze, vedere il capitolo Gestione delle licenze).

Questa finestra di dialogo mostra l'ID di diritto all'uso e tutte le opzioni del pacchetto software già attivate.


Aggiornamento delle licenze node-locked

L'attivazione di opzioni o contratti di manutenzione del software successivamente acquistati è chiamata ”Aggiornamento delle licenze". L'aggiornamento delle delle licenze avviene tramite la finestra di dialogo “Visualizza le licenze” all'interno del pacchetto software (vedere il capitolo Gestione delle licenze).

Nota: per collegarsi all'Hexagon Metrology Network License Server occorre disporre di una collegamento a Internet.

Avviare la licenza node-locked.


Verifica della disponibilità di aggiornamenti per le licenze node-locked

Verrà stabilito un collegamento con l'Hexagon Metrology Network License Server e sarà avviato il controllo degli aggiornamenti delle licenze.

Per aggiornare il software con opzioni o con contratti di manutenzione appena acquistati, procedere come segue.

  • Fare clic su “Visualizza le licenze installate” per visualizzare la finestra di dialogo Licenze installate (vedere il capitolo Gestione delle licenze).

  • Accertarsi che il PC sia collegato a Internet.

  • Selezionare “Controlla aggiornamenti” vicino al fondo della finestra di dialogo.

A seconda dei risultati della ricerca:

  • Se non sono disponibili aggiornamenti, si riceverà il messaggio: "Non sono disponibili nuove licenze” e il sistema chiederà di confermare facendo clic su OK.

  • Se sono disponibili aggiornamenti delle licenze, ne varrà visualizzato l'elenco. Selezionare le voci da aggiornare e fare clic su Attiva le nuove licenze vicino all'angolo inferiore destro della finestra di dialogo per completare l'aggiornamento.


Trasferimento delle licenze node-locked

Il trasferimento di una licenza da un PC a un altro (Rehosting) e la gestione delle licenze per diversi prodotti software sullo stesso PC avviene avviando il CLM Administrator per le licenze node-locked (vedere il capitolo Gestione delle licenze).

Per restituire le licenze per poterle trasferire, procedere come segue.

  1. Avviate il CLM Administrator (vedere il capitolo Gestione delle licenze).

  2. Accertarsi che il PC sia collegato a Internet.

  3. Selezionare Visualizza le licenze installate. Verrà visualizzato l'elenco dei diritti all'uso attivati.

  4. Selezionare l'ID di diritto all'uso da restituire.

  5. Selezionare Restituisci le licenze. Verrà visualizzato l'elenco delle licenze selezionate per la restituzione.

  6. Selezionare Continua per confermare la restituzione delle licenze selezionate.

Verrà stabilito un collegamento con l'Hexagon Metrology Network License Server e le licenze selezionate saranno restituite.

Installazione e attivazione delle licenze su un altro PC

Per completare il processo di trasferimento, occorre fare quanto segue.

  • Sul PC su cui si desidera trasferire le licenza, eseguire il processo completo di installazione e attivazione descritto nel capitolo Installazione e attivazione delle licenze node-locked.


Licenze floating

Per installare il pacchetto software acquistato su uno o più PC e per attivare le licenze floating acquistate, procedere come segue.

  • Installazione di un server locale delle licenze

  • Installazione di client locali

Vedere anche

Installazione del server locale delle licenze

installazione su client locali

Gestione del server locale delle licenze

Gestione delle licenze floating sui client locali


Installazione del server locale delle licenze

Per installare il server locale delle licenze, occorre quanto segue.

  • Server o PC in esecuzione sulla rete locale collegati a Internet (una volta attivata la licenza, questo collegamento non è più necessario).

Questo server o PC saranno quindi usati da tutti i client locali per reperire una licenza del pacchetto software.

  • Fattura, ricevuta di consegna o certificato di diritto all'uso con l'ID di diritto all'uso del pacchetto software.

  • CD-ROM, DVD di installazione o programma di installazione dell'Hexagon CLM Server scaricato.


Installazione sui client locali

Per installare il pacchetto software acquistato sui client locali in rete, occorre quanto segue.

  • PC in esecuzione sulla rete locale collegato al server locale delle licenze e a Internet (una volta installato il pacchetto software, il collegamento a Internet non è più necessario).

  • CD-ROM, DVD di installazione o programma di installazione del pacchetto software (clmadminsvr.exe) scaricato.


Gestione del server locale delle licenze

La gestione del server locale delle licenze avviene mediante l'apposito strumento CLM Administrator Server.

Si noti che i passi dell'installazione e le schermate di questo documento sono prese dal pacchetto software fornito dalla Hexagon Metrology. Le finestre di dialogo per altri pacchetti software possono essere leggermente diverse.

Vedere anche

Server amministratore delle licenze

Visualizzazione delle licenze floating su un server locale delle licenze

Visualizzazione delle licenze floating in uso

Gestione del server delle licenze

Aggiornamento delle licenze floating su un server locale delle licenze

Attivazione di nuove licenze floating

Trasferimento delle licenze floating su un server locale delle licenze

Verifica del collegamento con l'Hexagon Metrology Network License Server


Server amministratore delle licenze

Per avviare il CLM Administrator Server, fare doppio clic su clmadminsvr.exe fornito con il pacchetto software o scaricato dal server della Hexagon.

Tutta la gestione del server locale delle licenze avviene mediante il CLM Administrator Server.


Visualizzazione delle licenze floating su un server locale delle licenze

La visualizzazione delle licenze attivate sul server locale delle licenze avviene tramite il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

Fare doppio clic sull'applicazione clmadminsvr.exe fornita con il pacchetto software o scaricato dal server della Hexagon per visualizzare la schermata principale Amministratore licenze client - Server.

Per vedere le licenze attive al momento sul server locale delle licenze, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Visualizza le licenze installate”.

Se sul server locale delle licenze sono attivati degli ID di diritto all'uso, questi saranno visualizzati.

  • Selezionare “Caratteristiche” in alto a destra per una visualizzazione dettagliata delle licenze attivate.


Visualizzazione delle licenze floating in uso

La visualizzazione delle licenze attivate sul server locale delle licenze avviene tramite il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

Per vedere le licenze al momento in uso sui client locali, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Visualizza le licenze in uso” nel menu sulla sinistra.

Verranno visualizzate le licenze attualmente usate sui client locali. Inoltre sono mostrati gli utenti che usano le diverse licenze.


Gestione del server delle licenze

La gestione del server locale delle licenze avviene mediante il CLM Administrator Server.

Per verificare il nome del server delle licenze (cioè il nome del computer host), procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Gestisci server delle licenze” nel menu sulla sinistra.

Viene fornito il nome dell'host su cui è installato il server delle licenze. Inoltre, la porta del server delle licenze è indicata accanto ai due punti (il numero predefinito di questa porta è 27000; vedere anche la domanda frequente 17); viene anche indicato se il server è in esecuzione o meno. Per cambiarne lo stato, selezionare Avvia o Arresta in basso a destra.

Per aggiornare l'immagine, selezionare Aggiorna in basso a destra.


Aggiornamento delle licenze floating su un server locale delle licenze

L'attivazione di opzioni o contratti di manutenzione del software successivamente acquistati è chiamata ”Aggiornamento delle licenze". L'aggiornamento delle licenze avviene per messo del CLM Administrator Server.

Per questa funzionalità, occorre disporre di un collegamento a Internet per collegarsi all'Hexagon Metrology Network License Server.

Per vedere le licenze attive al momento sul server locale delle licenze, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Verifica le licenze” sul desktop o nel menu sulla sinistra.

Dopo aver controllato gli aggiornamenti nell'Hexagon Metrology Network License Server, saranno visualizzate tutte le nuove licenze attivabili.

  • Selezionare “Nuove licenze attivabili” per attivare le nuove licenze.


Attivazione di nuove licenze floating

L'attivazione di altri pacchetti software acquistati da gestire sullo stesso server locale delle licenze è chiamata “attivazione di nuove licenze”. L'attivazione delle nuove licenze avviene per messo del CLM Administrator Server.

Per questa funzionalità, occorre disporre di un collegamento a Internet per collegarsi all'Hexagon Metrology Network License Server.

Per attivare nuove licenze sul server locale delle licenze, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Attiva le nuove licenze” sul desktop o nel menu sulla sinistra.

Per attivare ulteriori pacchetti software sullo stesso server locale delle licenze, procedere come segue.

  • Immettere l'ID di diritto all'uso come è stampato sulla ricevuta di consegna, sulla fattura o sul certificato di diritto all'uso, e selezionare “Controlla le licenze attivabili”.

Verrà avviato un collegamento con l'Hexagon Metrology Network License Server per cercare nuove licenze.


Trasferimento delle licenze floating su un server locale delle licenze

Prima di poter trasferire una licenza a un altro server locale, occorre restituirla. La restituzione della licenza avviene mediante il CLM Administrator Server.

Inoltre, prima di poter essere trasferita una licenza deve essere registrata con la Hexagon Metrology. Per ulteriori informazioni, rivolgersi a un addetto all'assistenza tecnica della Hexagon Metrology.

Per vedere le licenze attive al momento sul server locale delle licenze, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Visualizza le licenze installate” sul desktop o nel menu sulla sinistra.

Saranno visualizzate le licenze attive al momento. Per restituirle per poterle trasferire:

  • Selezionare ogni ID di diritto all'uso che si desidera trasferire.

  • Selezionare “Restituisci le licenze”.

Verranno visualizzate le licenze selezionate per la restituzione.

  • Selezionare “Continua” per confermare la restituzione delle licenze selezionate.

  • Se le licenze non sono state ancora registrate con la Hexagon Metrology, selezionare “Registra i diritti all'uso”. (Vedere il capitolo Licenze floating).

Verrà stabilito un collegamento con l'Hexagon Metrology Network License Server. Le licenze. selezionate saranno restituite.

Per completare il processo di trasferimento, occorre fare quanto segue.

  • Su un altro server o PC, seguire il processo di installazione completo come descritto nel capitolo Installazione del server locale delle licenze. Quindi, seguire le istruzioni per aggiornare la configurazione del server delle licenze sui client locali descritte in Trasferimento delle licenze floating sui client locali.


Verifica del collegamento con l'Hexagon Metrology Network License Server

Qualora si verificassero problemi durante il processo di attivazione di una licenza, potrebbe essere necessario accertarsi che il collegamento con l'Hexagon Metrology Network License Server sia funzionante. Questa verifica avviene tramite il CLM Administrator Server.

Per verificare il collegamento con l'Hexagon Metrology Network License Server, procedere come segue.

  • Avviare il CLM Administrator Server (vedere il capitolo Gestione del server locale delle licenze).

  • Selezionare “Verifica il collegamento a Internet” nel menu sulla sinistra.

La finestra di dialogo “Verifica il collegamento a Internet” mostra lo stato del collegamento e se del caso visualizza una descrizione degli errori.

Questa funzionalità deve essere usata se si verificano problemi durante il processo di attivazione della licenza.


Gestione delle licenze floating sui client locali

La gestione delle licenze sui client locali avviene tramite la finestra di dialogo “Visualizza le licenze” del pacchetto software.

Si noti che le schermate di questo documento sono prese dal pacchetto software della Hexagon Metrology. Le finestre di dialogo per altri pacchetti software possono essere leggermente diverse.

Per accedere alla finestra di dialogo “Visualizza le licenze” che visualizza le licenze attive al momento, procedere come segue.

  • Avviare il pacchetto software di cui si desidera gestire le licenze.

  • Fare clic sul collegamento "Visualizza le licenze" sullo schermo per visualizzare una schermata che elenca tutte le licenze attivate sul sistema. Se non ci sono licenze attive, viene visualizzato il seguente messaggio.

Vedere anche

Visualizzazione delle licenze floating sui client locali

Aggiornamento delle licenze floating su un client locale

Presa in prestito delle licenze floating su un client locale

Trasferimento delle licenze floating su un client locale


Visualizzazione delle licenze floating sui client locali

La visualizzazione delle licenze software attualmente attivate sul PC del server avviene tramite la finestra di dialogo “Visualizza le licenze” all'interno del pacchetto software (vedere il capitolo Licenza floating). Per visualizzare le licenze attivate non è necessario alcun collegaento a Internet.

Per visualizzare le licenze per un pacchetto software:

  • Fare clic sul collegamento “Visualizza le licenze” per visualizzare la finestra di dialogo all'interno del pacchetto software (vedere il capitolo Licenze floating).

La finestra di dialogo “Visualizza le licenze” mostra l'ID di diritto all'uso e tutte le opzioni del pacchetto software già attivate o un messaggio che informa che al momento non ci sono licenze attivate.


Aggiornamento delle licenze floating su un client locale

L'attivazione di opzioni o contratti di manutenzione del software successivamente acquistati è chiamata ”Aggiornamento delle licenze". L'aggiornamento delle licenze avviene normalmente tramite il CLM Administrator Server sul server locale delle licenze (vedere il capitolo Gestione del server delle licenze). In alternativa si può fare su un client locale tramite la finestra di dialogo “Visualizza le licenze” all'interno del pacchetto software (vedere il capitolo Gestione delle licenze floating sui client locali).

Per questa funzionalità, occorre disporre di un collegamento a Internet per collegarsi all'Hexagon Metrology Network License Server.

Per aggiornare il software con opzioni o con contratti di manutenzione appena acquistati, procedere come segue.

  • Fare clic sul collegamento “Visualizza le licenze” sulla schermata principale per visualizzare la finestra di dialogo Visualizza le licenze dall'interno del pacchetto software (vedere il capitolo Gestione delle licenze floating sui client locali).

  • Accertarsi che il PC sia collegato a Internet.

  • Selezionare “Controlla aggiornamenti delle licenze”.

Verrà stabilito un collegamento con l'Hexagon Metrology Network License Server. Inizierà il controllo degli aggiornamenti disponibili per le licenze.

  • Se non sono disponibili aggiornamenti, si riceverà un messaggio che informa che non sono disponibili nuove licenze attivabili.

  • Se sono disponibili aggiornamenti, si riceverà il messaggio: "Sono disponibili nuove licenze floating, contattare l'amministratore del server delle licenze”.


Presa in prestito delle licenze floating su un client locale

Se è necessario usare il software in remoto su un PC o un notebook senza collegamento alla rete e al server locale delle licenze, è possibile "prenderle in prestito" dal server locale e "restituirle" dopo l'uso. Questo processo è chiamato "borrowing". La disponibilità del borrowing dipende dal prodotto software installato.

Prestito e restituzione delle licenze sono gestiti mediante la finestra di dialogo “Visualizza le licenze” all'interno del pacchetto software (vedere il capitolo Gestione delle licenze floating sui client locali).

Per visualizzare le licenze per il pacchetto software, procedere come segue.

  • Fare clic sul collegamento “Visualizza le licenze” per visualizzare la finestra di dialogo Visualizza le licenze dall'interno del pacchetto software (vedere il capitolo Gestione delle licenze floating sui client locali).

La finestra di dialogo “Visualizza le licenze” mostra l'ID di diritto all'uso e tutte le opzioni del pacchetto software già attivate.

Come prendere in prestito le licenze

Per prendere in prestito le licenze, procedere come segue.

  • Immettere la data di scadenza desiderata per le licenze.

  • Fare clic sul collegamento “Prendi in prestito le licenze”.

Le licenze ora sono in prestito, e la finestra di dialogo “Visualizza le licenze” viene aggiornata allo stato più recente.

Come restituire le licenze prese in prestito

Per restituire le licenze prese in prestito, procedere come segue.

  • Selezionare la licenza che si desidera restituire.

  • Fare clic sul collegamento “Restituisci le licenze prese in prestito”.

Le licenze ora sono restituite, e la finestra di dialogo “Visualizza le licenze” viene aggiornata allo stato più recente.


Trasferimento delle licenze floating su un client locale

Se il server locale delle licenze è stato trasferito in permanenza da un PC o un server a un altro (rehosted), occorre aggiornare la configurazione del server delle licenze in tutti i client locali.

L'aggiornamento della configurazione del server delle licenze avviene mediante la finestra di dialogo "Visualizza le licenze".

Per visualizzare la finestra di dialogo "Visualizza le licenze", procedere come segue.

  • Avviare l'applicazione facendo doppio clic su clmadminsvr.exe nel pacchetto software per visualizzare la finestra di dialogo principale.

  • Fare clic sulla finestra di dialogo "Visualizza le licenze”. L'elenco dei prodotti con licenza sarà vuoto perché la licenza del prodotto non è stata trovata.

  • Fare clic sul collegamento Opzioni lungo il lato sinistro per visualizzare le opzioni di configurazione usate per aggiornare la configurazione del server delle licenze.

Aggiornamento della configurazione del server delle licenze

Nella parte Configurazione della finestra di dialogo "Opzioni" è mostrata la configurazione attuale del server locale delle licenze.

Per aggiornare la configurazione del server locale delle licenze, procedere come segue.

  • Immettere le nuove informazioni sul server come necessario. Questa informazione si trova nel CLM Administrator Server sotto la voce “Gestisci server delle licenze” (vedere il capitolo Gestione del server locale delle licenze).

  • Fare clic su "Applica" in basso a destra per identificare l'indirizzo del nuovo host.

Il client locale ora si collegherà al nuovo server locale delle licenze.

(La “configurazione del server proxy" è necessaria solo se si usa un server proxy invece di un collegamento diretto a Intenet).


Elaborazione delle licenze off-line

L'elaborazione delle licenze off-line è disponibile per coloro che hanno bisogno di attivare una licenza su un computer che non ha accesso a Internet. È possibile attivare, restituire o aggiornare off-line le licenze software. Occorre tuttavia un PC secondario con collegamento a Internet.

Ci sono diversi casi in cui un collegamento a Internet può non essere disponibile o possibile:

  • Aziende/istituzioni che permettono di usare solo la posta elettronica.

  • Reti speciali tenute appositamente off-line.

  • Problemi con il collegamento alla rete (ad esempio dovuti a server proxy o a Firewall).

La Hexagon Metrology SPA ha creato una procedura per automatizzare per quanto possibile il processo di attivazione off-line. Tutto quello che serve è l'invio per posta elettronica della richiesta di attivazione al servizio di attivazione da un PC con un collegamento a Internet. La conferma dell'attivazione della licenza sarà inviata al mittente per e-mail.

L'indirizzo di posta elettronica da usare per il processo di attivazione offl-ine è: activation@hexagonmetrology.com.

Vedere anche

Processo di trasferimento e attivazione delle licenze off-line

Restituzione delle licenze off-line

Creazione di un file di richiesta di restituzione off-line

Acquisizione del file di risposta per la restituzione off-line

Elaborazione del file di risposta per la restituzione

Aggiornamento delle licenze off-line


Processo di trasferimento e attivazione delle licenze off-line

Una volta ricevuto l'ID di diritto all'uso (vedere per i dettagli il capitolo Introduzione al software Client License Manager), per attivare, restituire o aggiornare off-line il diritto all'uso occorre procedere come segue.

  1. Su un computer o altro dispositivo con collegamento a Internet, richiedere un file di avvio (il file avrà l'estensione “.clmstart”). Inviare la richiesta a activation@hexagonmetrology.com. Il campo "Oggetto" dell'e-mail può essere vuoto, ma il corpo del messaggio deve contenere la stringa dell'ID di diritto all'uso. Una volta ricevuto il file di avvio, trasferirlo su un dispositivo di memorizzazione portatile e sul PC dove si deve attivare il software.

  2. Sul PC con la licenza, avviare lo strumento di gestione delle licenze CLM usando il collegamento creato sul desktop durante l'installazione del prodotto software: “CLM Admin” per le licenze node-locked o “CLM Admin Server” per le licenze floating.

  3. Fare clic sull'opzione Trasferimento licenza off-line che si trova al centro della finestra di dialogo del CLM.

  4. Nella schermata successiva, fare clic su Attiva le licenze.

  5. In alto al centro della schermata successiva, fare clic su Sfoglia e navigare fino alla posizione in cui si trova il file di avvio. Fare clic su di esso e poi su Crea richiesta che si trova in basso a destra nella finestra di dialogo.

  6. Quando la richiesta è stata elaborata, fare clic su Salva la richiesta che si trova in basso a destra nella successiva finestra di dialogo. Il file di richiesta ha un'estensione “.clmreq”, si trova nella stessa posizione del file di avvio, ed è necessario per acquisire il file di risposta.

  7. Inviare il file ".clmreq" generato a activation@hexagonmetrology.com. Si riceverà dalla Hexagon Metrology una risposta contenente il file di risposta. Il file avrà l'estensione ".clmresp". Copiare questo file sul PC su cui attivare le licenza.

  8. Sul PC off-line su cui attivare la licenza, avviare l'appropriato strumento del CLM descritto nel precedente passo 2, e fare clic su Trasferimento licenza off-line.

  9. Nella successiva finestra di dialogo fare clic su Attiva le licenze, navigare fino al file di risposta, fare clic per selezionarlo, e poi fare clic su OK. L'applicazione CLM elaborerà il file di risposta ed eseguirà l'attivazione della licenza.

La licenza è attivata e si può avviare e usare l'applicazione software.

Vedere anche

Attivazione delle licenze off-line

Creazione di un file di richiesta di attivazione off-line

Acquisizione del file di risposta per l'attivazione off-line

Elaborazione del file di risposta per l'attivazione

Ricerca e soluzione dei problemi di attivazione off-line


Attivazione delle licenze off-line

Per iniziare, il processo di attivazione off-line richiede un file di avvio.

Si può ottenere un file di avvio sia chiedendo che ne venga inviato uno per posta elettronica (activation@hexagonmetrology.com) se disponibile, o per posta normale su un dischetto o un'unità flash. Il nome del file avrà l'estensione ".clmstart".

In entrambi i casi, rivolgersi per i dettagli a un addetto all'assistenza della Hexagon Metrology.

Una volta ricevuto il file di avvio, salvarlo su un dispositivo di memorizzazione portatile come una chiavetta USB. Trasferirlo sul PC di destinazione.

Nota: se la licenza deve essere attivata mediante posta elettronica (activation@hexagonmetrology.com), andare alla voce Creazione di un file di richiesta di attivazione off-line.

Inizio...


Home > Software Client License Manager > Elaborazione delle licenze off-line > Processo di trasferimento e attivazione delle licenze off-line > Creazione di un file di richiesta di attivazione off-line

Creazione di un file di richiesta di attivazione off-line

Per creare un un file di richiesta di attivazione off-line con un certo file di avvio, occorre disporre degli strumenti di amministrazione del CLM. Il file ha l'estensione ".clmstart".

Avviare gli appropriati strumenti di amministrazione del CLM dal collegamento creato durante l'installazione del prodotto software della Hexagon Metrology (PC-DMIS, DataPage+, etc.):

  • per una licenza node-locked, fare doppio clic sul collegamento "CLM Admin" su desktop;

  • per una licenza floating, fare doppio clic sul collegamento "CLM Admin Server" su desktop.

Passo 1: Attivare le licenze

Per avviare la procedura di attivazione del diritto all'uso off-line nel CLM Administrator, occorre disporre dell'ID di diritto all'uso della licenza del prodotto ordinato alla Hexagon Metrology.

  • Da un PC secondario con collegamento a Internet, inviare una e-mail a activation@hexagonmetrology.com. Il campo "Oggetto" può essere vuoto, tuttavia il corpo del messaggio deve contenere la stringa dell'ID di diritto all'uso.

Nota: il servizio di attivazione elaborerà l'e-mail e genererà un file di avvio dell'attivazione che sarà inviato al computer per e-mail.

  • Quando si riceve il file di avvio dell'attivazione (".clmstart"), copiarlo su un dispositivo di memorizzazione portatile, estrarre il dispositivo e collegarlo al PC su cui si desidera attivare la licenza off-line.

  • Avviare l'appropriata applicazione di amministrazione del CLM. Fare clic sull'opzione Trasferimento licenza off-line.

  • Fare clic su Attiva le licenze nella schermata successiva.

Passo 2: Creare un file di richiesta della licenza

Per attivare una licenza off-line, occorre generare prima un file di richiesta usando il file di avvio:

  • nella schermata successiva, fare clic su Sfoglia e navigare fino al file di avvio (*.clmstart) sul dispositivo di memorizzazione portatile;

  • fare clic sul file per selezionarlo e quindi su Crea richiesta in basso a destra.

Passo 3: Salvare il file di richiesta

Una volte generata la richiesta, saranno elencati i dettagli della licenza.

  • Fare clic su Salva la richiesta in basso a destra per salvare il file della richiesta, che ha l'estensione ".clmreq".

Il file di richiesta è necessario per ottenere il file di risposta.

Nota: per il prossimo passo, tenere l'applicazione di amministrazione del CLM in esecuzione sul PC su cui attivare la licenza.

Passo 4: Localizzare il file di risposta

Navigare fino alla posizione in cui si trova il file di richiesta generato. È la stessa posizione in cui si trova il file di avvio.

Avanti...


Home > Software Client License Manager > Elaborazione delle licenze off-line > Processo di trasferimento e attivazione delle licenze off-line > Acquisizione del file di risposta per l'attivazione off-line

Acquisizione del file di risposta per l'attivazione off-line

Per ottenere il file di risposta per l'attivazione, il file di richiesta di attivazione (".clmreq") deve essere trasferito al PC o a un altro dispositivo con un collegamento a Internet.

Si può ottenere un file di risposta sia chiedendo che ne venga inviato uno per posta elettronica se disponibile, o per posta normale su un dischetto o un'unità flash.

Richiesta di un file di risposta per l'attivazione mediante posta elettronica

Per ottenere un file di risposta per l'attivazione mediante posta elettronica, procedere come segue.

  • Da un PC secondario con accesso a Internet, inviare il file ".clmreq" generato a activation@hexagonmetrology.com. Il file di risposta per l'attivazione off-line sarà inviato allo stesso indirizzo di posta elettronica. Il file ha l'estensione ".clmresp";

  • Salvare il file di risposta su un dispositivo di memorizzazione portatile come una chiavetta USB, estrarre il dispositivo e collegarlo al PC su cui attivare la licenza.

Avanti...


Elaborazione del file di risposta per l'attivazione

Completare l'attivazione della licenza off-line ritrasferendo il file di risposta per l'attivazione sul PC off-line con la licenza. Elaborarlo mediante di strumenti di amministrazione del CLM.

  1. Avviare gli appropriati strumenti di amministrazione del CLM dal collegamento creato durante l'installazione del prodotto software della Hexagon Metrology (PC-DMIS, DataPage+, etc.):

    • per una licenza node-locked, fare doppio clic sul collegamento "CLM Admin" su desktop;

    • per una licenza floating, fare doppio clic sul collegamento "CLM Admin Server" su desktop.

  2. Avviare l'appropriato strumento CLM Administrator descritto sopra. Selezionare Trasferimento licenza off-line sul desktop o sul menu sulla sinistra.

  3. Il file di risposta deve essere selezionato all'interno del CLM Administrator. Selezionare Attiva le licenze nella successiva finestra di dialogo e fare clic su Seleziona la risposta.

Nota: i file di risposta che sono già stati elaborati non possono essere usati di nuovo. Per restituire o aggiornare una licenza, deve essere generato un nuovo file di risposta.

In caso di perdita del file di risposta generato, l'ultimo è ancora disponibile per un mese sull'Hexagon Metrology Network License Server. Fare clic su "Chiedi risposta” per scaricare dal server l'ultimo file di risposta.

  4. Navigare fino al file di risposta (*.clmresp) memorizzato sul dispositivo di memorizzazione portatile, fare clic per selezionarlo, e poi fare clic su OK. L'applicazione CLM Admin elaborerà il file di risposta ed eseguirà l'attivazione della licenza..

Nota: in certe circostanze, l'applicazione clmadmin può generare un altro file .clmreq dopo che il file .clmresp è stato importato ed elaborato. Se succede questo, salvare il nuovo file .clmreq e inviarlo per posta elettronica (activation@hexagonmetrology.com), o spedirlo all'assistenza Hexagon su una chiavetta USB o in qualche altro modo.

La licenza è attivata e si può avviare e usare l'applicazione software della Hexagon Metrology.

Per verificare se la licenza è attivata, procedere come segue.

  • Fare clic su Visualizza le licenze installate nell'angolo superiore sinistro della schermata dell'applicazione clmadmin. Verrà visualizzato un elenco delle licenze installate.

  • Se si è collegati a Internet, fare clic sull'opzione Verifica le licenze nella parte sinistra della schermata dell'applicazione clmadmin. Verrà visualizzato un elenco delle licenze che non sono state ancora attivate.


Ricerca e soluzione dei problemi di attivazione off-line

Problema: l'operazione di attivazione off-line "Creazione file di avvio" non è riuscita a causa del seguente errore: "Errore nel recupero dell'ID di diritto all'uso dal corpo del messaggio!".

In genere, il problema è causato da uno dei seguenti motivi.

    • L'ID di diritto all'uso della licenza non si trova nel corpo del messaggio.

    • La licenza è già stata attivata su un altro computer.

    • È stato richiesto un numero di attivazioni della licenza (fulfill count) maggiore del numero di utenti ammesso (seat count). In questo caso, non sono possibili ulteriori attivazioni della licenza.

Soluzione: rivolgersi per aiuto all'assistenza tecnica dell'Hexagon Metrology.

Informazioni sull'assistenza tecnica sono reperibili nelle seguenti posizioni dei siti Web dell'Hexagon Metrology:

http://hexagonmetrology.us/contact-us
www.pcdmis.com
.
È possibile contattare l'assistenza tecnica dell'Hexagon Metrology anche chiamando il numero +1 800 343 7933


Restituzione delle licenze off-line

Si può ottenere un file di avvio sia chiedendo che ne venga inviato uno per posta elettronica se disponibile, o per posta normale su un dischetto o un'unità flash.

Per ulteriori informazioni sulla politica di restituzione (Rehosting) dei prodotti software della Hexagon Metrology, vedere la parte iniziale del capitolo Tipi di licenza.

Richiesta di un file di avvio della restituzione mediante posta elettronica

Per ottenere il file di avvio della restituzione off-line mediante posta elettronica, chiedere a un addetto all'assistenza della Hexagon Metrology di inviare il file.

  • Immettere l'ID di diritto all'uso della licenza off-line da restituire come testo del messaggio, e inviare l'e-mail all'indirizzo suindicato.

Il file di avvio della restituzione off-line sarà inviato all'indirizzo di posta elettronica del mittente.

  • Salvare il file di avvio su un dispositivo di memorizzazione portatile come una chiavetta USB. Trasferirlo sul PC di destinazione.

Nota: se la licenza sarà restituita mediante posta elettronica, andare direttamente al capitolo Processo di trasferimento e attivazione delle licenze off-line.

Richiesta di un file di avvio della restituzione tramite il centro di assistenza della Hexagon Metrology.

Per ottenere un file di avvio della restituzione tramite il centro di assistenza della Hexagon Metrology, rivolgersi a un addetto all'assistenza della Hexagon Metrology.


Creazione di un file di richiesta di restituzione off-line

Per creare un un file di richiesta di restituzione off-line con un certo file di avvio, occorre disporre degli strumenti di amministrazione del CLM.

Avviare gli strumenti di amministrazione del CLM.

  • Per una licenza node-locked, eseguire clmadmin.exe.

  • Per una licenza floating, eseguire clmadminsvr.exe.

Nel CLM Administrator,

  • Selezionare “Trasferimento licenza off-line” sul desktop o nel menu sulla sinistra.

Passo 1: Restituire le licenze

Per avviare il processo di restituzione off-line nel CLM Administrator,

  • selezionare “Restituisci le licenze” sul desktop.

Passo 2: Creare un file di richiesta della licenza

Per restituire una licenza off-line, occorre generare prima un file di richiesta con quel certo file di avvio.

Navigare fino al file di avvio (*.clmstart) sul dispositivo di memorizzazione portatile.

  • Fare clic sul collegamento "Crea richiesta" in basso a destra.

Nota: nel momento in cui viene creato il file di richiesta, il file della licenza sarà disabilitato, e il software non potrà più essere usato.

Passo 3: Salvare la richiesta

Saranno elencati i dettagli della licenza.

  • Fare clic sul collegamento "Salva la richiesta" per salvare il file della richiesta.

Il file della richiesta è necessario per ottenere il file di risposta.

Passo 4: Localizzare il file della richiesta

Prendere nota della posizione in cui si trova il file della richiesta. Per impostazione predefinita, si trova nella stessa posizione del file di avvio.


Acquisizione del file di risposta per la restituzione off-line

Per ottenere il file di risposta per la restituzione, il file di richiesta di restituzione deve essere trasferito al PC o a un altro dispositivo con un collegamento a Internet.

Ci sono due modi per chiedere un file di risposta all'Hexagon Metrology Network License Server:

  • mediante posta elettronica;

  • tramite il centro di assistenza della Hexagon Metrology.

Richiesta di un file di risposta per la restituzione mediante posta elettronica

Per ottenere il file di risposta per la restituzione off-line mediante posta elettronica, rivolgersi a un addetto all'assistenza della Hexagon Metrology.

  • Allegare il file di richiesta di restituzione a una e-mail. Inviare l'e-mail all'indirizzo dato.

Il file di risposta per la restituzione off-line sarà inviato all'indirizzo di posta elettronica del mittente.

  • Salvare il file di risposta su un dispositivo di memorizzazione portatile come una chiavetta USB.

Nota: se la licenza deve essere restituita mediante posta elettronica, andare direttamente al capitolo Creazione di un file di richiesta di restituzione off-line.

Richiesta di un file di risposta per la restituzione tramite il centro di assistenza della Hexagon Metrology.

Per i dettagli sull'accesso al centro di assistenza della Hexagon Metrology, rivolgersi a un addetto all'assistenza della Hexagon Metrology.


Elaborazione del file di risposta per la restituzione

Per poter restituire la licenza, il file di risposta per la restituzione deve essere ritrasferito al PC ed elaborato con gli strumenti di amministrazione del CLM.

  • Per una licenza node-locked, usare il CLM Administrator (clmadmin.exe).

  • Per una licenza floating, usare il CLM Administrator Server (clmadminsvr.exe).

Passo 1: Selezionare il file di risposta nel CLM Administrator

Il file di risposta deve essere selezionato nel CLM Administrator

  • Aprire il CLM Administrator. Selezionare “Trasferimento licenza off-line” sul desktop o nel menu sulla sinistra.

  • Nel prossimo passo, selezionare “Restituisci le licenze” sul desktop.

  • Navigare fino al file di risposta (*.clmresp) memorizzato sul dispositivo di memorizzazione portatile.

Passo 2: Elaborare il file di risposta

Per restituire la licenza, occorre elaborare il file di risposta.

  • Per restituire la licenza, fare clic sul collegamento "Elabora risposta" che si trova in basso a destra.

La licenza è stata restituita. La si può trasferire da un PC a un altro.


Aggiornamento delle licenze off-line

L'attivazione di opzioni o contratti di manutenzione del software successivamente acquistati è chiamata ”Aggiornamento delle licenze".

Per aggiornare una licenza con opzioni o con contratti di manutenzione del software off-line appena acquistati, bisogna procedere come si fa per attivare una licenza.

  • Acquisire un nuovo file di avvio dell'attivazione (vedere Acquisizione del file di avvio dell'attivazione off-line mediante posta elettronica).

  • Creare un nuovo file di richiesta di attivazione (vedere Creazione di un file di richiesta di attivazione off-line).

  • Acquisire un nuovo file di risposta (vedere Acquisizione del file di risposta per l'attivazione off-line).

  • Elaborare il nuovo file di risposta (vedere Elaborazione del file di risposta per l'attivazione).

Nota: per aggiornare una licenza deve essere generato un nuovo file di risposta.

Fare clic sul collegamento “Sfoglia” per navigare fino al file di richiesta che è stato creato. Inviarlo al centro di assistenza della Hexagon Metrology.

Fare clic su "Scarica" e salvare il file di risposta (*.clmresp) su un dispositivo di memorizzazione portatile come una chiavetta USB.


Soluzione di un errore di Trusted Storage (TS)

Il software CLM della Hexagon utilizza la tecnologia Flexara chiamata Trusted Storage (TS). Un errore tipico che si verifica in molti casi è quando viene visualizzato il messaggio "TS record invalid" (Record TS non valido).

In condizioni normali, una licenza attivata si trova nello stato "Fully Trusted" (Completamente attendibile). Questo si può verificare come segue.

  1. Facendo clic sul collegamento "Visualizza le licenze installate" nell'angolo superiore sinistro della schermata dell'utility CLM Admin.

  2. Farecendo clic sul collegamento "Caratteristiche" che si trova nell'angolo superiore destro della schermata successiva.

La schermata seguente mostra un elenco di caratteristiche. La colonna più a destra (Stato) mostra normalmente "Fully trusted" (Completamente attendibile) per ogni voce.

Se una qualsiasi di queste voci mostra uno stato diverso da “Fully trusted” (Completamente attendibile), è possibile ripristinare il sistema Trusted Storage e riattivare la licenza. Così facendo, tuttavia, tutti i diritti all'uso esistenti sul computer saranno rimossi e si dovrà riattivarli.

Salvataggio delle informazioni sui diritti all'uso

Prima di ripristinare il sistema Trusted Storage, accertarsi di conservare in un posto sicuro le informazioni sui diritti all'uso.

  • Un modo di salvare le informazioni sui diritti all'uso consiste nel fare clic sul collegamento “Salva con nome”, che si trova in basso a destra nella schermata dell'utility CLM Admin. In questo modo le informazioni sulla licenza sono salvate come file XML:

  • Un altro modo di salvare le informazioni sul diritto all'uso è quello di incollare gli ID in un documento vuoto.

A tal fine, procedere come segue.

  1. Aprire un documento di testo vuoto in Notepad, WordPad, Microsoft Word o qualche altro Editor di testi.

  2. Quindi, visualizzare il diritto all'uso facendo clic su “Diritti all'uso” nell'angolo superiore destro:

  3. Poi, fare doppio clic su uno degli ID di diritto all'uso, copiandolo così negli Appunti.

  4. Pssare al documento vuoto e incollarvi l'ID di diritto all'uso.

Se si ha più di un ID di diritto all'uso attivato, ripetere questo processo finché non si sono salvati tutti gli ID di diritto all'uso. Alla fine, accertarsi di salvare il documento.

Ripristino di Trusted Storage

  1. Quindi, occorre ripristinate il sistema Trusted Storage. A questo scopo, fare clic su “Visualizza le licenze installate” nell'angolo superiore sinistro della schermata:

  2. Quindi, fare clic su “Rirpristina TS” al centro della finestra.

Nota: il collegamento "Ripristina TS" è abilitato solo se lo stato di uno o più diritti all'uso non è "Fully trusted" (Completamente attendibile).

Verrà visualizzato il messaggio di avvertenza Reset Trusted Storage (Rispristina Trusted Storage).

  3. Fare clic su "Sì" per continuare. Dopo questa operazione, l'elenco dei diritti all'uso mostrerà “<nessuna licenza disponibile>”.

  4. Tutti i diritti all'uso dovranno essere riattivati. Se sono stati salvati in un documento come sopra indicato, è possibile copiare e incollare ogni ID di diritto all'uso nel CLM Admin per completare il processo.

Per i dettagli sull'attivazione delle licenze node-locked, vedere il capitolo "Installazione e attivazione delle licenze node-locked".

Per i dettagli sull'attivazione delle licenze off-line, vedere il capitolo "Elaborazione delle licenze off-line".

Vedere anche:

Installazione e attivazione delle licenze node-locked

Elaborazione delle licenze off-line


Domande frequenti

Domanda 1

Devo immettere l'ID di diritto all'uso per l'installazione e l'attivazione della licenza. Cos'è un ID di diritto all'uso e dove lo posso trovare?

Un ID di diritto all'uso è una descrizione univoca della licenza d'uso di un prodotto acquistato da un cliente. L'ID di diritto all'uso è reperibile sulla fattura, la ricevuta di consegna e il certificato di diritto all'uso.

Domanda 2

Che cos'è l'attivazione di un prodotto?

L'attivazione di un prodotto è il processo di acquisizione sul proprio computer di una licenza d'uso di un prodotto software della Hexagon Metrology. Si può attivare il proprio prodotto 24 ore al giorno, sette giorni alla settimana via Internet.

Domanda 3

Che tipo di informazioni viene trasmesso durante l'attivazione di un prodotto?

Per l'attivazione di un prodotto occorre che la Hexagon raccolga le informazioni minime necessarie a convalidare l'autenticità della richiesta di attivazione del prodotto. La maggior parte dei dati serve a identificare il prodotto, incluso l'ID di diritto all'uso e la versione del prodotto. Viene anche generato in modo casuale un ID della macchina (host ID) che non è utilizzabile per identificare marca, modello e componenti del computer dell'utente. Inoltre, sono comunicati il sistema operativo e il nome del computer. Tutti i dati sono trasmessi in modo protetto alla Hexagon per la convalida.

Domanda 4

È possibile usare il proprio l'ID di diritto all'uso su più di un computer?

No. Per ogni computer occorre un processo di attivazione univoco. Una volta che il prodotto è stato attivato, la licenza software è assegnata solo a quel computer specifico.

Domanda 5

Per l'attivazione è necessario disporre dei diritti di amministratore?

No. Di per sé, l'attivazione non richiede i diritti di amministratore, ma questi possono essere necessari per l'installazione dei singoli pacchetti software.

Domanda 6

È possibile attivare licenze su un PC senza un collegamento a Internet?

Sì. La Hexagon offre la possibilità di attivare, restituire o aggiornare una licenza off-line tramite un altro PC o qualsiasi altro dispositivo (come uno smartphone) che abbia almeno un collegamento di posta elettronica su Internet.

Per i dettagli, vedere il capitolo "Elaborazione delle licenze off-line".

Domanda 7

Bisogna essere collegati on-line per usare un software che include la nuova licenza software?

No. Nel caso delle licenze node-locked, una volta attivato il prodotto non occorre essere on-line per usare il software. Tuttavia, se la licenza è stata aggiornata, come dopo l'acquisto di un'opzione supplementare o dopo aver prolungato il contratto di manutenzione del software, occorre essere on-line per attivare gli aggiornamenti.

Domanda 8

Ho acquistato altre opzioni software o un contratto di manutenzione del software. Come è possibile attivare queste licenze appena acquistate?

L'attivazione delle opzioni appena acquistate è chiamata "aggiornamento delle licenze". Per aggiornare le licenze node-locked seguire le istruzioni riportate nel capitolo "Licenze node-locked" e per aggiornare quelle floating seguire le istruzioni riportate nel capitolo "Licenze floating".

Domanda 9

Desidero trasferire in modo permanente il software e la licenza da un PC a un altro. Come devo fare?

Il trasferimento permanente del software e della licenza da un PC a un altro è chiamato "rehosting". Per il trasferimento delle licenze node-locked seguire le istruzioni riportate nel capitolo "Licenze node-locked" e per le licenze floating quelle riportate nel capitolo "Licenze floating".

Domanda 10

Il mio computer si è guastato e vorrei trasferire la licenza node-locked su un altro PC. Tuttavia, non posso eseguire il processo di rehosting e restituire la licenza come descritto in questo documento. Cosa devo fare?

Contatti gli addetti all'assistenza tecnica Hexagon con il suo ID di diritto all'uso e spieghi il problema. Restituiranno la licenza per lei in modo che possa installare e attivare di nuovo il software su un altro PC.

Domanda 11

Vorrei ripristinare il sistema operativo o installare un nuovo sistema operativo sul PC dove ho installato il prodotto software della Hexagon Metrology e ne ho attivato la licenza. Cosa devo fare?

Prima di installare un nuovo sistema operativo è necessario eseguire il processo di rehosting. Per il trasferimento delle licenze node-locked seguire le istruzioni riportate nel capitolo "Licenze node-locked" e per le licenze floating quelle riportate nel capitolo "Licenze floating".

Domanda 12

Modifiche a data e ora nel sistema del mio computer richiedono una riattivazione?

No. Se la licenza software non ha data di scadenza (come l'ha per esempio una licenza di valutazione), non ci sono limitazioni alla modifica delle impostazione di data e ora nel sistema. Se la licenza software ha una data di scadenza, la riattivazione è necessaria solo se la modifica di data e ora è maggiore di un giorno.

Domanda 13

Uso attualmente un prodotto software della Hexagon Metrology che è protetto da una chiave hardware. Qual è il processo da seguire per passare alla nuova licenza software?

Per prima cosa, deve mettersi in contatto con l'addetto alle vendite della Hexagon Metrology comunicando il numero della chiave hardware. Questi ordinerà per lei una “Migrazione dal dongle”. Una volta inviato l'ordine, riceverà un nuovo ID di diritto all'uso.

Quindi può iniziare l'installazione seguendo le istruzioni riportate in questo documento. Durante l'installazione, le sarà chiesto di inserire la chiave hardware. Al termine dell'installazione, il software sarà attivato usando la nuova licenza, e la chiave hardware non sarà più valida per il prodotto migrato.

Domanda 14

Occorre un server fisico dedicato per eseguire il software del server delle licenze?

Il server delle licenze può essere installato come un normale pacchetto software. Data la bassissima potenza di calcolo impegnata, per eseguire il software di un server delle licenze si può usare un normale PC. Questo computer deve essere collegato alla rete in area locale (LAN) per condividere le licenze con gli altri computer collegati alla stessa LAN.

Domanda 15

È possibile usare lo stesso server locale delle licenze per differenti pacchetti software della Hexagon Metrology?

Sì. Basta installare un solo server locale delle licenze per tutti i prodotti software della Hexagon Metrology. Una volta installato il server locale delle licenze, è possibile aggiungere diverse licenze supplementari mediante il processo di “attivazione di nuove licenze”. Quindi, è possibile installare i client locali.

Domanda 16

Occorre un collegamento a Internet per usare le licenze floating?

No. Il server deve essere on-line solo durante il processo di attivazione della licenza. Tuttavia, per poter usare le licenze floating occorre essere continuamente collegati al server delle licenze sulla LAN. In caso di disconnessione temporanea dalla LAN, come quando si è in viaggio con un notebook, alcuni dei pacchetti software della Hexagon Metrology supportano una funzionalità di "prestito" delle licenze. Seguire le istruzioni per il prestito delle licenze riportate nel capitolo "Licenze floating".

Domanda 17

Uso un Firewall sul mio server locale delle licenze. Devo aprire delle porte sul server locale delle licenze per permettere la comunicazione?

Sì. Per permettere ai client di ritirare o prendere in prestito licenze da un server sulla LAN, deve aggiungere le seguenti porte alle eccezioni alla protezione del Firewall.

  • Per l'applicazione "lmgrd.exe", aprire una porta TCP con un numero da 27000 a 27009. Il numero predefinito per la porta TCP sul server è 27000.

Si può anche cercare la porta in uso nel programma CLM Administrator Server in "Gestisci server delle licenze" o nel file "lgs.log". Questo file è reperibile nella cartella predefinita di installazione del server delle licenze: C:\Programmi\File comuni\<nome del prodotto software della Hexagon Metrology>\License-Server.

  • Per l'applicazione "LGS.exe", aprire qualsiasi numero di porta TCP non usato, come 27010.

Occorre anche definire entrambe le porte nel file "svr_lgs.lic". Questo file si trova nella cartella predefinita di installazione del server delle licenze: C:\Programmi\File comuni\<nome del prodotto software della Hexagon Metrology>\License-Server. Si dovrà:

  • aggiungere il numero della porta del server alla prima riga: SERVER this_host ANY 27000

  • aggiungere la porta per il daemon del fornitore alla seconda riga: VENDOR LGS port=27010

Per permette l'accesso in remoto agli strumenti di gestione delle licenze, si consiglia di aggiungere alle eccezioni una porta per un daemon remoto:

  • per l'applicazione "clmrdsvr.exe", aprire la porta TCP locale numero 19701.

Domanda 18

Uso un Firewall sul mio PC client locale. Devo aprire delle porte sul client locale per permettere la comunicazione?

Sì. Per permettere ai client di ritirare o prendere in prestito licenze da un server sulla LAN, deve aggiungere le seguenti porte alle eccezioni alla protezione del Firewall.

  • Per l'applicazione client (ad es. "LGO.exe"), apra la porta TCP del server remoto delle licenze (ad es. 27000) e la porta TCP per il daemon del fornitore remoto (ad es. 27010).

Si possono anche cercare le porte in uso nei file "lgs.log" o "svr_lgs.lic". Entrambi i file sono reperibili nella cartella predefinita di installazione del server delle licenze: C:\Programmi\File comuni\<nome del prodotto software della Hexagon Metrology>\License-Server.

Per permette l'accesso in remoto agli strumenti di gestione delle licenze, si consiglia di aggiungere alle eccezioni una porta per un daemon remoto:

  • per l'applicazione "clmadminsvr.exe", aprire la porta TCP locale numero 19701.

Domanda 19

Ho installato il mio server locale delle licenze e sono collegato ad esso sulla LAN. Tuttavia, quando installo un client locale e specifico l'indirizzo e la porta del mio server locale delle licenze ricevo un messaggio di errore in cui mi si dice che la destinazione è irraggiungibile o che il messaggio è scaduto. Qual è il motivo di questi messaggi e come posso risolvere il problema?

I messaggi potrebbero essere causati dal fatto che l'ora sul server locale delle licenze e quella sul client locale non sono sincronizzate. Questo significa che esiste un problema nel protocollo di comunicazione tra il server delle licenze e il software client.

  • Se le ore differiscono per più di 5 minuti si riceverà il messaggio "Destinazione non raggiungibile". Questo significa che è trascorso un ragionevole intervallo di tempo senza aver ricevuto una risposta dal server contattato.

  • Se le ore differiscono per più di 10 minuti si riceverà il messaggio "Messaggio scaduto". Questo indica che il messaggio scambiato tra i server è scaduto e che è finito qualsiasi ulteriore tentativo di comunicazione tra questi.

Si noti che non ci saranno problemi se il server delle licenze viene eseguito su un computer che si trova in un fuso orario diverso da quello del client.


Glossario

Attivazione

L'attivazione è il processo di acquisizione sul proprio computer di una licenza per un prodotto software della Hexagon Metrology.

Prestito (Borrowing)

Borrowing significa "prendere in prestito" una licenza flessibile ("floating") da un server locale delle licenze in modo da poterla usare come una licenza "node-locked" su un PC o un notebook se serve per eseguire il software in remoto senza collegarsi alla rete e al server locale delle licenze.

CLM

CLM è l'acronimo di Client License Manager. È il nome dello strumento software usato per gestire le licenze software su un PC o un server.

CLM Administrator

Il CLM Administrator è lo strumento di gestione delle licenze per l'installazione su PC delle licenze node-locked. Può essere usato per la visualizzazione delle licenze, l'aggiornamento delle licenze, l'attivazione di nuove licenze e la restituzione delle licenze per il loro trasferimento (rehosting).

CLM Administrator Server

Il CLM Administrator Server è lo strumento di gestione delle licenze per l'installazione su server delle licenze flessibili ("floating"). Può essere usato per la visualizzazione delle licenze, l'aggiornamento delle licenze, l'attivazione di nuove licenze e la restituzione delle licenze per il loro trasferimento (rehosting).

Dongle

Un “dongle”, chiamato anche chiave hardware o chiave di protezione del software, è un piccolo dispositivo di protezione che deve essere collegato alla porta parallela o USB del PC per impedire l'uso non autorizzato del software.

Certificato di diritto all'uso

Il certificato di titolarità/diritto all'uso è un documento che contiene l'ID di diritto all'uso. Questo documento deve essere conservato accuratamente poiché l'ID di diritto all'uso è necessario per acquistare ulteriori opzioni software.

ID di diritto all'uso

L'ID di diritto all'uso è la chiave per l'attivazione iniziale della licenza e per ordinare altre opzioni software. L'ID di diritto all'uso è reperibile sulla fattura, la ricevuta di consegna o il certificato di diritto all'uso.

Licenza floating

Le licenze floating possono essere condivise tra vari utenti all'interno della stessa rete locale. È possibile usare contemporaneamente più licenze floating fino al numero delle licenze disponibili acquistate.

Hexagon Metrology Network License Server

L'Hexagon Metrology Network License Server è la posizione centrale in cui sono memorizzate le licenze floating, che sono fornite ai client in rete all'avvio. Per attivare una licenza o eseguire altre operazioni occorre normalmente disporre di un collegamento a Internet per collegarsi all'Hexagon Metrology Network License Server.

Centro di assistenza della Hexagon Metrology

Il Centro di assistenza della Hexagon Metrology è il luogo dove sono registrati i prodotti per accedere alle informazioni che li riguardano o ad aggiornamenti del software.

Tipo di licenza

Il tipo di licenza definisce se una licenza è legata a un singolo PC o può essere condivisa tra diversi PC all'interno della stessa rete. Per i prodotti software della Hexagon Metrology sono disponibili due diversi tipi di licenza: node-locked e floating. Il tipo di licenza disponibile dipende dal prodotto software della Hexagon Metrology.

Client locale

Un client locale è un PC che condivide licenze floating nell'ambito della rete locale e, pertanto, deve essere collegato al server locale delle licenze.

Server locale delle licenze

Per la gestione delle licenze floating occorre un server locale delle licenze. Può essere un PC o un server nella rete locale.

Licenza node-locked

Una licenza node-locked è legata a un singolo PC e pertanto è la scelta ideale per lavorare in remoto o per singoli utenti dedicati all'interno della rete. Una licenza node-locked non può essere condivisa tra diversi utenti sulla stessa rete e normalmente non viene trasferita da un PC a un altro.

Registrazione delle licenze

Le licenze sono registrate nel centro di assistenza della Hexagon Metrology. La registrazione è necessaria per il trasferimento di una licenza e per accedere alle informazioni sul prodotto o agli aggiornamento del software.

Trasferimento (Rehosting)

Rehosting significa trasferire in modo permanente una licenza da un PC o un server locale delle licenze a un altro. Il trasferimento di una licenza è possibile solo per un numero limitato di volte all'anno. Il numero di trasferimenti permessi dipende dal prodotto software della Hexagon Metrology.

Il trasferimento è possibile solo se la licenza è stata registrata in precedenza presso il centro di assistenza della Hexagon Metrology.

Restituzione delle licenze

La restituzione delle licenze è il primo passo necessario per il loro trasferimento. Prima che sia possibile attivarla su un altro PC, è necessario restituire la licenza all'Hexagon Metrology Network License Server.

Chiave di protezione del software

Una chiave di protezione del software, chiamata anche “dongle” o chiave hardware, è un piccolo dispositivo di protezione che deve essere collegato alla porta parallela o USB del PC per impedire l'uso non autorizzato del software.

Aggiornamento delle licenze

Aggiornare le licenze significa attivare ulteriori opzioni o manutenzioni del software acquistate.


Guida rapida alle licenze node-locked

Home > Guida rapida alle licenze node-locked

Guida rapida alla procedura di gestione delle licenze nel CLM

Installazione e all'attivazione delle licenze node-locked

Gli strumenti di gestione delle licenze del CLM della Hexagon Metrology sono installati con il prodotto software della Hexagon Metrology (PC-DMIS, DataPage+, etc.) che crea sul desktop collegamenti ai necessari strumenti del CLM.

L'installazione e l'attivazione del pacchetto software avviene con una procedura guidata che guida automaticamente l'utente attraverso il processo completo di installazione e attivazione. Il PC deve avere un collegamento a Internet.

Si noti che i passi dell'installazione e le schermate di questo documento sono prese dal pacchetto software della Hexagon Metrology. Le finestre di dialogo per altri pacchetti software possono essere leggermente diverse.

  1. Avviare lo strumento di gestione delle licenze CLM usando il collegamento “CLM Admin” creato sul desktop durante l'installazione del prodotto software della Hexagon Metrology (PC-DMIS, DataPage+, etc.). Verrà visualizzata la finestra di dialogo dell'amministratore delle licenze nel client.

  2. Fare clic su Attiva le nuove licenze e immettere o copiare nel campo il proprio ID di diritto all'uso.

  3. Fare clic su Controlla le licenze attivabili per visualizzare un riepilogo delle licenze installate.

  4. Fare clic su Attiva le nuove licenze.

  5. Fare clic su Visualizza le licenze installate per visualizzare e verificare le licenze attivate.

Tutte le nuove licenze sono ora attivate, ed è possibile usare i relativi prodotti.

Scaricare la versione PDF: CLM_Node_Locked_License_QuickStart_Guide.pdf


Guida rapida all'attivazione delle licenze off-line

Home > Guida rapida all'attivazione delle licenze off-line

Guida rapida alla procedura di gestione delle licenze nel CLM

Attivazione delle licenze off-line

Una volta ricevuto l'ID di diritto all'uso, per attivare, restituire o aggiornare off-line il diritto all'uso occorre procedere come segue.

  1. Su un computer o altro dispositivo collegato a Internet, richiedere un file di avvio (il file avrà l'estensione “.clmstart”). Inviare la richiesta a activation@hexagonmetrology.com. Il campo "Oggetto" dell'e-mail può essere vuoto, ma il corpo del messaggio deve contenere la stringa dell'ID di diritto all'uso. Una volta ricevuto il file di avvio, trasferirlo su un dispositivo di memorizzazione portatile e sul PC off-line dove si deve attivare il software.

  2. Sul PC con la licenza, avviare lo strumento di gestione delle licenze CLM usando l'idoneo collegamento creato sul desktop durante l'installazione del prodotto software della Hexagon Metrology (PC-DMIS, DataPage+, etc.): “CLM Admin” per le licenze node-locked o “CLM Admin Server” per le licenze floating.

  3. Fare clic sull'opzione Trasferimento licenza off-line che si trova al centro della finestra di dialogo CLM.

  4. Nella schermata successiva, fare clic su Attiva le licenze.

  5. In alto al centro della schermata successiva, fare clic su Sfoglia e navigare fino alla posizione in cui si trova il file di avvio. Fare clic su di esso e poi su Crea richiesta che si trova in basso a destra nella finestra di dialogo.

  6. Quando la richiesta è stata elaborata, fare clic su Salva la richiesta che si trova in basso a destra nella successiva finestra di dialogo. Il file di richiesta ha un'estensione “.clmreq”, si trova nella stessa posizione del file di avvio, ed è necessario per acquisire il file di risposta.

  7. Inviare il file ".clmreq" generato a activation@hexagonmetrology.com. La Hexagon Metrology invierà un riscontro contenente il file di risposta. Il file ha l'estensione ".clmresp". Copiare questo file sul PC su cui attivare le licenza.

  8. Sul PC off-line su cui attivare la licenza, avviare l'appropriato strumento del CLM descritto nel precedente passo 2, e fare clic su Trasferimento licenza off-line.

  9. Fare clic su Attiva le licenze nella finestra di dialogo successiva.

  10. Fare clic su Seleziona risposta in basso a destra, e navigare fino al file di risposta. Fare clic sul file per selezionarlo e quindi su OK. L'applicazione CLM elaborerà il file di risposta e attiverà la licenza.

    11. Nota: in caso di problemi durante questo processo, vedere l'argomento "Ricerca e soluzione dei problemi di attivazione off-line".

    La licenza è attivata. Si può avviare e usare il software della Hexagon Metrology.

Scaricare la versione PDF: CLM_Offline_License_Activation_QuickStart_Guide.pdf


Controllo delle licenze

Per aggiornare il software con opzioni o con contratti di manutenzione appena acquistati, procedere come segue.

  • Fare clic su “Visualizza le licenze installate” per visualizzare la finestra di dialogo Licenze installate (vedere il capitolo Gestione delle licenze).

  • Accertarsi che il PC sia collegato a Internet.

  • Selezionare “Controlla aggiornamenti” vicino al fondo della finestra di dialogo.


Acquisizione del file di avvio dell'attivazione off-line mediante posta elettronica

Per ottenere il file di avvio dell'attivazione off-line mediante posta elettronica, inviare una e-mail a: activatesoftware@leica-geosystems.com.

  • Immettere l'ID di diritto all'uso della licenza off-line da attivare come testo del messaggio, e inviare l'e-mail all'indirizzo suindicato.

Il file di avvio dell'attivazione off-line sarà inviato all'indirizzo di posta elettronica del mittente.

  • Salvare il file di avvio su un dispositivo di memorizzazione portatile come una chiavetta USB, e trasferirlo sul PC desiderato.

Nota: se la licenza deve essere attivata mediante posta elettronica, andare alla voce Creazione di un file di richiesta di attivazione off-line.